List events
curl --request GET \
--url https://api.worm.wtf/events/import requests
url = "https://api.worm.wtf/events/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.worm.wtf/events/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"condition_id": "9x4H2LdQ7sM1Kp6Wv3Tn8YfR5aC2uJ7mB4eQ9zN6dLp",
"title": "Boston Celtics vs Philadelphia 76ers (Apr 28, 2026)",
"description": "NBA game outcome markets.",
"logo": "https://cdn.worm.wtf/e/42.png",
"category": "sports",
"created": 1714300000,
"markets": [
{
"title": "Will the Atlanta Hawks beat the New York Knicks in the NBA game on April 28, 2026?",
"description": null,
"condition_id": "7n9G9WfQ2V7d6hM3XK8pQ4LwR2eY6aT1uJ5cB8mN3qPz",
"logo": null,
"last_trade_price": "0.68",
"state": "open",
"category": "sports",
"created": 1714300100,
"creator": { "username": "creator1", "image": null, "twitter_username": null },
"event": { "title": "Boston Celtics vs Philadelphia 76ers (Apr 28, 2026)", "condition_id": "9x4H2LdQ7sM1Kp6Wv3Tn8YfR5aC2uJ7mB4eQ9zN6dLp", "logo": "https://cdn.worm.wtf/e/42.png" },
"margin_enabled": true
}
]
}
],
"meta": {
"limit": 20,
"next_cursor": "eyJiZWZvcmVfaWQiOjEyMzQ1fQ"
},
"error": null
}
{
"data": null,
"meta": null,
"error": {
"code": -11,
"slug": "invalid_request_params",
"message": "Validation Error",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -17,
"slug": "throttled",
"message": "Request was throttled.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -3,
"slug": "internal_error",
"message": "An internal error occurred.",
"details": []
}
}
Events
List events
Retrieve a paginated list of events with optional filters.
GET
/
events
/
List events
Query Parameters
integer
default:"20"
Number of records to return. Range: 1-100.
string
Cursor from
meta.next_cursor on a previous page. Without sort, pagination is keyset by id descending (before_id). With sort, the cursor uses e_offset into the sorted list.string
Event list filter (markets under the event; case-insensitive). One of
open, closed, resolved, newest, ending_soon, ended_recently.string
Category slug. The platform uses a fixed set (not user-defined):
politics, sports, crypto, wtf, tech, finance.string
Sort key. One of
market_cap, last_trade, total_volume, live_stream, trending, leverage, ending_soon.string
Comma-separated sport slugs from Sports catalog.
string
Comma-separated league slugs from the catalog (
leagues[].slug). Requires sport on the same request.Response
array
Event summary rows.
Show Data fields
Show Data fields
object | null
Pagination:
limit and next_cursor. Cursor encoding depends on sort — see the cursor query parameter above and Pagination. On error responses, meta is null.object | null
null on success. Error object on failed requests.{
"data": [
{
"condition_id": "9x4H2LdQ7sM1Kp6Wv3Tn8YfR5aC2uJ7mB4eQ9zN6dLp",
"title": "Boston Celtics vs Philadelphia 76ers (Apr 28, 2026)",
"description": "NBA game outcome markets.",
"logo": "https://cdn.worm.wtf/e/42.png",
"category": "sports",
"created": 1714300000,
"markets": [
{
"title": "Will the Atlanta Hawks beat the New York Knicks in the NBA game on April 28, 2026?",
"description": null,
"condition_id": "7n9G9WfQ2V7d6hM3XK8pQ4LwR2eY6aT1uJ5cB8mN3qPz",
"logo": null,
"last_trade_price": "0.68",
"state": "open",
"category": "sports",
"created": 1714300100,
"creator": { "username": "creator1", "image": null, "twitter_username": null },
"event": { "title": "Boston Celtics vs Philadelphia 76ers (Apr 28, 2026)", "condition_id": "9x4H2LdQ7sM1Kp6Wv3Tn8YfR5aC2uJ7mB4eQ9zN6dLp", "logo": "https://cdn.worm.wtf/e/42.png" },
"margin_enabled": true
}
]
}
],
"meta": {
"limit": 20,
"next_cursor": "eyJiZWZvcmVfaWQiOjEyMzQ1fQ"
},
"error": null
}
{
"data": null,
"meta": null,
"error": {
"code": -11,
"slug": "invalid_request_params",
"message": "Validation Error",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -17,
"slug": "throttled",
"message": "Request was throttled.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -3,
"slug": "internal_error",
"message": "An internal error occurred.",
"details": []
}
}